Package org.firebirdsql.jaybird.parser

## Class SqlTokenizer.Builder

- java.lang.Object
- - org.firebirdsql.jaybird.parser.SqlTokenizer.Builder

Enclosing class:
  SqlTokenizer

    public static final class SqlTokenizer.Builder
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlTokenizer` `of​(java.lang.String statementText)` Creates a SQL tokenizer with the reserved words of this builder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public SqlTokenizer of​(java.lang.String statementText)

Creates a SQL tokenizer with the reserved words of this builder.

Parameters:
  `statementText` - SQL statement
Returns:
  SQL tokenizer